Bug 859409 - Keyboard focus should be on org filter textbox when org selection is opened
Keyboard focus should be on org filter textbox when org selection is opened
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 09:38 EDT by Jeff Weiss
Modified: 2014-11-09 17:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:19:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2012-09-21 09:38:35 EDT
Description of problem:
You should be able to click the org switcher and immediately start typing an org name.  Currently you have to click twice (once to open the switcher and again to focus the filter textbox).

Version-Release number of selected component (if applicable):
Katello Version: 1.1.12-1.git.188.8955f22.el6_3 

How reproducible:


Steps to Reproduce:
1. Click the org switcher
2.
3.
  
Actual results:
No keyboard focus in the filter box

Expected results:
keyboard focus in the filter box

Additional info:
Comment 3 Mike McCune 2012-09-26 12:29:38 EDT
moving to 2.0, severity not that high
Comment 4 Jeff Weiss 2012-09-26 13:48:29 EDT
This does not affect the automation, it's a human usability issue.
Comment 5 Jason E. Rist 2012-09-26 17:16:45 EDT
Didn't see the additional comments, so did it real quick. 

https://github.com/Katello/katello/pull/756
Comment 9 Mike McCune 2013-09-19 14:19:16 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.